package client.renderer.model;

public class ModelSpaceMarine extends ModelBiped {
    public ModelSpaceMarine()
    {
        super(128, 106, 8.0f);
        
        this.bipedHeadwear = null; // new ModelRenderer(this, 0, 0);
        
        this.bipedHead = new ModelRenderer(this);
		this.bipedHead.setRotationPoint(0.0F, -20.0F, 0.0F);
		this.bipedHead.cubeList.add(new ModelBox(this.bipedHead, 18, 0, -4.0F, -9.0F, -5.0F, 8, 9, 10, 0.0F, false));
		this.bipedHead.cubeList.add(new ModelBox(this.bipedHead, 54, 0, 4.0F, -5.0F, -4.0F, 1, 5, 8, 0.0F, false));
		this.bipedHead.cubeList.add(new ModelBox(this.bipedHead, 0, 0, -5.0F, -5.0F, -4.0F, 1, 5, 8, 0.0F, false));
		this.bipedHead.cubeList.add(new ModelBox(this.bipedHead, 18, 19, -2.0F, -10.0F, -4.0F, 4, 1, 8, 0.0F, false));
//		this.bipedHead.cubeList.add(new ModelBox(this.bipedHead, 0, 32, -6.0F, -2.0F, -2.0F, 8, 2, 4, 0.0F, false));
//		this.bipedHead.cubeList.add(new ModelBox(this.bipedHead, 32, 32, -2.0F, -2.0F, -2.0F, 8, 2, 4, 0.0F, false));

		this.bipedRightArm = new ModelRenderer(this);
		this.bipedRightArm.setRotationPoint(-8.0F, -20.0F, 0.0F);
		this.bipedRightArm.cubeList.add(new ModelBox(this.bipedRightArm, 0, 38, -7.0F, 0.0F, -3.0F, 7, 14, 6, 0.0F, false));
		this.bipedRightArm.cubeList.add(new ModelBox(this.bipedRightArm, 0, 58, -5.0F, 14.0F, -2.0F, 5, 10, 4, 0.0F, false));

		this.bipedLeftLeg = new ModelRenderer(this);
		this.bipedLeftLeg.setRotationPoint(2.0F, 3.0F, 0.0F);
		this.bipedLeftLeg.cubeList.add(new ModelBox(this.bipedLeftLeg, 96, 47, 0.0F, 6.0F, -3.0F, 6, 15, 6, 0.0F, false));
		this.bipedLeftLeg.cubeList.add(new ModelBox(this.bipedLeftLeg, 96, 68, 0.0F, 18.0F, -5.0F, 6, 3, 2, 0.0F, false));
		this.bipedLeftLeg.cubeList.add(new ModelBox(this.bipedLeftLeg, 96, 37, 0.0F, 0.0F, -2.0F, 5, 6, 4, 0.0F, false));

		this.bipedRightLeg = new ModelRenderer(this);
		this.bipedRightLeg.setRotationPoint(-2.0F, 3.0F, 0.0F);
		this.bipedRightLeg.cubeList.add(new ModelBox(this.bipedRightLeg, 72, 47, -6.0F, 6.0F, -3.0F, 6, 15, 6, 0.0F, false));
		this.bipedRightLeg.cubeList.add(new ModelBox(this.bipedRightLeg, 72, 68, -6.0F, 18.0F, -5.0F, 6, 3, 2, 0.0F, false));
		this.bipedRightLeg.cubeList.add(new ModelBox(this.bipedRightLeg, 72, 37, -5.0F, 0.0F, -2.0F, 5, 6, 4, 0.0F, false));

		this.bipedBody = new ModelRenderer(this);
		this.bipedBody.setRotationPoint(0.0F, 3.0F, 0.0F);
		this.bipedBody.cubeList.add(new ModelBox(this.bipedBody, 72, 26, -7.0F, -5.0F, -3.0F, 14, 5, 6, 0.0F, false));
		this.bipedBody.cubeList.add(new ModelBox(this.bipedBody, 72, 0, -8.0F, -23.0F, -4.0F, 16, 18, 8, 0.0F, false));
		this.bipedBody.cubeList.add(new ModelBox(this.bipedBody, 24, 77, -9.0F, -29.0F, 4.0F, 18, 7, 8, 0.0F, false));
		this.bipedBody.cubeList.add(new ModelBox(this.bipedBody, 0, 78, -15.0F, -28.0F, 5.0F, 6, 8, 6, 0.0F, false));
		this.bipedBody.cubeList.add(new ModelBox(this.bipedBody, 76, 78, 9.0F, -28.0F, 5.0F, 6, 8, 6, 0.0F, false));
		this.bipedBody.cubeList.add(new ModelBox(this.bipedBody, 24, 92, -7.0F, -22.0F, 4.0F, 14, 6, 7, 0.0F, false));
		this.bipedBody.cubeList.add(new ModelBox(this.bipedBody, 76, 96, -5.0F, -16.0F, 6.0F, 10, 5, 4, 0.0F, false));

		this.bipedLeftArm = new ModelRenderer(this);
		this.bipedLeftArm.setRotationPoint(8.0F, -20.0F, 0.0F);
		this.bipedLeftArm.cubeList.add(new ModelBox(this.bipedLeftArm, 32, 38, 0.0F, 0.0F, -3.0F, 7, 14, 6, 0.0F, false));
		this.bipedLeftArm.cubeList.add(new ModelBox(this.bipedLeftArm, 32, 58, 0.0F, 14.0F, -2.0F, 5, 10, 4, 0.0F, false));
    }

//    public void setVisible(boolean vis)
//    {
//    	super.setVisible(vis);
//    	this.bipedHeadwear.showModel = false;
//    }
}
